package com.ruoyi.inspection.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 巡检异常对象 inspection_abnormal
 *
 * @author LSD
 * @date 2025-10-24
 */
public class InspectionAbnormal extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 巡检点地址
     */
    @Excel(name = "巡检点地址")
    private String inspectionPoint;

    /**
     * 巡检人
     */
    @Excel(name = "巡检人")
    private String inspectorId;

    /**
     * 巡检类型
     */
    @Excel(name = "巡检类型")
    private Long inspectionType;

    /**
     * 巡检时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionTime;

    /**
     * 巡检图片
     */
    @Excel(name = "巡检图片")
    private String inspectionImg;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setInspectionPoint(String inspectionPoint) {
        this.inspectionPoint = inspectionPoint;
    }

    public String getInspectionPoint() {
        return inspectionPoint;
    }

    public void setInspectorId(String inspectorId) {
        this.inspectorId = inspectorId;
    }

    public String getInspectorId() {
        return inspectorId;
    }

    public void setInspectionType(Long inspectionType) {
        this.inspectionType = inspectionType;
    }

    public Long getInspectionType() {
        return inspectionType;
    }

    public void setInspectionTime(Date inspectionTime) {
        this.inspectionTime = inspectionTime;
    }

    public Date getInspectionTime() {
        return inspectionTime;
    }

    public void setInspectionImg(String inspectionImg) {
        this.inspectionImg = inspectionImg;
    }

    public String getInspectionImg() {
        return inspectionImg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("inspectionPoint", getInspectionPoint())
            .append("inspectorId", getInspectorId())
            .append("inspectionType", getInspectionType())
            .append("inspectionTime", getInspectionTime())
            .append("inspectionImg", getInspectionImg())
            .append("remark", getRemark())
            .toString();
    }
}
